# eric3.Project.PropertiesDialog

Module implementing the project properties dialog.

### Classes

PropertiesDialog | Class implementing the project properties dialog.

### Functions

None

## PropertiesDialog

Class implementing the project properties dialog.

### Derived from

PropertiesForm

### Methods

PropertiesDialog | Constructor
handleDirDialog | Private slot to display a directory selection dialog.
handleFileDialog | Private slot to display a file selection dialog.
handleShowVcsInfo | Private slot to display a vcs information dialog.
handleTransPrefixDialog | Private slot to display a directory selection dialog.
storeData | Public method to store the entered/modified data.

### PropertiesDialog (Constructor)

PropertiesDialog(project, new = 1, parent = None, name = None, modal = 0, fl = 0)

Constructor

project
  reference to the project object
new
  flag indicating the generation of a new project
parent
  parent widget of this dialog (QWidget)
name
  name of this dialog (string or QString)
modal
  flag indicating a modal dialog
fl
  window flags

### PropertiesDialog.handleDirDialog

handleDirDialog()

Private slot to display a directory selection dialog.

### PropertiesDialog.handleFileDialog

handleFileDialog()

Private slot to display a file selection dialog.

### PropertiesDialog.handleShowVcsInfo

handleShowVcsInfo()

Private slot to display a vcs information dialog.

### PropertiesDialog.handleTransPrefixDialog

handleTransPrefixDialog()

Private slot to display a directory selection dialog.

### PropertiesDialog.storeData

storeData()

Public method to store the entered/modified data.

Up